Subject: Re: [urn] Comments on draft-ietf-urnbis-rfc2141bis-urn-10

From: Peter Saint-Andre - &yet <[email-masked]>
Date: Tue, 26 May 2015 20:12:31 -0600

On 4/17/15 10:01 AM, Leslie Daigle (ThinkingCat) wrote:
>
> Coming back to this -- I do think that resolves a major issue in the
> document.  Re-reading the March 31 document this morning, it struck me
> that it doesn't define what an NSS is.
>
> There is verbiage about what an NSS is not. [1]  In the example
> discussed, the NSS is "".
>
> In RFC2141, the NSS *is* the identifier.  It must be unique and
> persistent in its identification of a resource.   Which is a bit
> ridiculous for "".  If the document was updated as proposed here, I
> would think it would be appropriate to have guidance about
> "assigned-name" being the identifier alluded to in:
>
>
>  > A URN namespace is a collection of identifiers that obey three
>  > constraints.  Such a namespace is (1) unique, (2) assigned in a
>  > consistent way, and (3) assigned according to a common definition.

That's a good point. I'll strive to make that a bit clearer in the next 
version. (I'm now holding the pen for -12.)

Peter

-- 
Peter Saint-Andre
https://andyet.com/